
Foreman - Bug #9003

Host-Audit doesn't show changes in Smart-Params done in Host-Details

01/16/2015 11:03 AM - Florian Müller

Status: Resolved   

Priority: Low   

Assignee:    

Category: Audit Log   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.7.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When I change Paramters in Classes directly assigned to hosts, I expect to see that change in the host-Audit. (Doesn't happen right

now)

Related issues:

Related to Foreman - Bug #1902: Smart Parameters aren't audit logged Closed 10/17/2012

History

#1 - 01/19/2015 04:24 AM - Dominic Cleal

- File Screenshot from 2015-01-19 09_21_33.png added

- File Screenshot from 2015-01-19 09_22_13.png added

- Status changed from New to Feedback

This seems to work here.  Can you confirm it's a smart class parameter override you're changing?

The first screenshot is my audit log, showing when I first clicked the Override on the host and saved it, then when I edited the host and changed the

override.  If you click the fqdn=... bit, you'll get details for the entry which are shown in the second screenshot.

#2 - 01/19/2015 04:24 AM - Dominic Cleal

- Related to Bug #1902: Smart Parameters aren't audit logged added

#3 - 01/20/2015 06:56 AM - Florian Müller

- File Screenshot 2015-01-16 16.53.21.png added

- File Screenshot 2015-01-16 16.54.05.png added

Choose a host from the hosts-list, edit the host, and change a param of one of the inherited classes. This doesn't appear, when you click on audits on

the host details page.

I would expect to see the changes made on the host there.

Adding two screenshots, one of the general audit page, one of the host details audit.

#4 - 01/20/2015 07:11 AM - Dominic Cleal

Searching for the host probably won't show it, as it's seen as an attribute of the Puppet class (an "override value") rather than of the host.  I can't

really see a search term apart from "action = update" that might bring it up - check through the unfiltered list?

#5 - 05/17/2017 09:39 AM - Anonymous

- Status changed from Feedback to Resolved

no reaction, closing

Files

Screenshot from 2015-01-19 09_21_33.png 27.1 KB 01/19/2015 Dominic Cleal
Screenshot from 2015-01-19 09_22_13.png 25.8 KB 01/19/2015 Dominic Cleal

Screenshot 2015-01-16 16.53.21.png 41.2 KB 01/20/2015 Florian Müller

Screenshot 2015-01-16 16.54.05.png 57.8 KB 01/20/2015 Florian Müller
